Dhcp Snooping
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridDhcpSnoops | GET | Get dhcp snoop list |
| createDhcpSnoops | POST | Create new dhcp snoops |
| deleteDhcpSnoop | DELETE | Delete an existing dhcp snoop |
| modifyDhcpSnoop | PATCH | Modify a dhcp snoop |
| getDhcpSnoopImpbs | POST | Get the impbs with given omadacid, siteid and mac and stackId. |
| getDhcpSnoopStatus | GET | Get dhcp snoop status |
| modifyDhcpSnoopStatus | PATCH | Modify dhcp snoop status |
getGridDhcpSnoops
GET /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops
Get dhcp snoop list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDhcpSnoops",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get dhcp snoop list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createDhcpSnoops
POST /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops
Create new dhcp snoops
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DhcpSnoopVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the dhcp snoop. |
omadacId | string | no | The id of the omada the dhcp snoop belongs to. |
siteId | string | no | The id of the site the dhcp snoop belongs to. |
name | string | no | The name of the dhcp snoop. |
mac | string | no | The mac of the general device. |
deviceName | string | no | The name of the device. |
deviceType | string | no | Device type:ap、gateway、switch、olt |
deviceModel | string | no | Model of device,for example:EAP225 |
deviceModelVersion | string | no | Model version of device,for example:3.0 |
showModel | string | no | The client showModel |
stackId | string | no | The stack of the stack device. |
stackName | string | no | The name of the stacking devices. |
oswStack | OswStackInfoVO | no | (OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO") |
ports | array<PortVO> | no | The ports selected. |
status | integer | no | The connected status of the device. |
unSelectedablePorts | array<PortVO> | no | The unSelectedable ports of the device. |
allPorts | array<OswPortVO> | no | All Port list in one device. |
allLags | array<OswLagVO> | no | All lag list in one device. |
devices | array<DeviceVO> | no | The devices selected to create entries. |
// omada_call_operation
{
"operationId": "createDhcpSnoops",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new dhcp snoops
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteDhcpSnoop
DELETE /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/{dhcpSnoopId}
Delete an existing dhcp snoop
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
dhcpSnoopId | path | string | yes | dhcpSnoopId |
// omada_call_operation
{
"operationId": "deleteDhcpSnoop",
"params": {
"siteId": "<siteId>",
"dhcpSnoopId": "<dhcpSnoopId>"
}
}Details, permissions and error codes
Delete an existing dhcp snoop
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39820 - The DHCP Snooping entry does not exist.
modifyDhcpSnoop
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/{dhcpSnoopId}
Modify a dhcp snoop
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
dhcpSnoopId | path | string | yes | dhcpSnoopId |
Request body — application/json (required) — schema DhcpSnoopVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the dhcp snoop. |
omadacId | string | no | The id of the omada the dhcp snoop belongs to. |
siteId | string | no | The id of the site the dhcp snoop belongs to. |
name | string | no | The name of the dhcp snoop. |
mac | string | no | The mac of the general device. |
deviceName | string | no | The name of the device. |
deviceType | string | no | Device type:ap、gateway、switch、olt |
deviceModel | string | no | Model of device,for example:EAP225 |
deviceModelVersion | string | no | Model version of device,for example:3.0 |
showModel | string | no | The client showModel |
stackId | string | no | The stack of the stack device. |
stackName | string | no | The name of the stacking devices. |
oswStack | OswStackInfoVO | no | (OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO") |
ports | array<PortVO> | no | The ports selected. |
status | integer | no | The connected status of the device. |
unSelectedablePorts | array<PortVO> | no | The unSelectedable ports of the device. |
allPorts | array<OswPortVO> | no | All Port list in one device. |
allLags | array<OswLagVO> | no | All lag list in one device. |
devices | array<DeviceVO> | no | The devices selected to create entries. |
// omada_call_operation
{
"operationId": "modifyDhcpSnoop",
"params": {
"siteId": "<siteId>",
"dhcpSnoopId": "<dhcpSnoopId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a dhcp snoop
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39820 - The DHCP Snooping entry does not exist.
getDhcpSnoopImpbs
POST /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/impbs
Get the impbs with given omadacid, siteid and mac and stackId.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DhcpSnoopImbpVO
| Field | Type | Required | Description |
|---|---|---|---|
mac | string | no | The mac of the general device. |
stackId | string | no | The stack of the stack device. |
ports | array<PortVO> | no | The ports selected. |
// omada_call_operation
{
"operationId": "getDhcpSnoopImpbs",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the impbs with given omadacid, siteid and mac and stackId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getDhcpSnoopStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/status
Get dhcp snoop status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDhcpSnoopStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get dhcp snoop status
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
modifyDhcpSnoopStatus
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dhcpSnoops/status
Modify dhcp snoop status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DhcpSnoopStatusVO
| Field | Type | Required | Description |
|---|---|---|---|
dhcpSnoopEnable | boolean | no | Whether open the dhcp snoop switch. |
// omada_call_operation
{
"operationId": "modifyDhcpSnoopStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a dhcp snoop status
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.